Bug 821117 - freecol hangs on startup
freecol hangs on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freecol (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-12 00:11 EDT by Jonathan Blandford
Modified: 2013-07-31 20:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:32:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2012-05-12 00:11:39 EDT
With a fresh install of F17, I can't get freecol to start.  Here's the output from the prompt:

% rpm -q freecol
freecol-0.10.5-1.fc17.noarch
% freecol
java virtual machine used: /usr/lib/jvm/jre-openjdk/bin/java
classpath used: /usr/share/java/freecol.jar:/usr/share/java/commons-cli.jar:/usr/share/java/cortado.jar:/usr/share/java/jogg.jar:/usr/share/java/jorbis.jar:/usr/share/java/miglayout.jar:/usr/share/java/vorbisspi.jar:/usr/lib64/java/tritonus/tritonus_share.jar
main class used: net.sf.freecol.FreeCol
flags used: 
options used: -Xmx512M -Xincgc -Dsun.java2d.pmoffscreen=false
arguments used: --freecol-data /usr/share/freecol/data
Comment 1 Michael Schwendt 2012-05-12 03:51:28 EDT
Can't confirm. Just did a "yum -y install freecol". It starts here. Terminal output is the same but continues with:

[INFO] init()
[INFO] param "url" has string value "file:/usr/share/freecol/data/rules/classic/resources/video/freecol-opening.video.ogg"
[INFO] param "seekable" has enum value "0" (auto)
[INFO] param "live" has enum value "0" (auto)
[INFO] param "duration" has double value "-1.0"
[INFO] param "audio" has boolean value "true"
[INFO] param "video" has boolean value "true"
[INFO] param "kateIndex" has int value "0"
[INFO] param "kateLanguage" has string value ""
[INFO] param "kateCategory" has string value ""
[INFO] param "statusHeight" has int value "12"
[INFO] param "autoPlay" has boolean value "true"
[INFO] param "showStatus" has enum value "2" (hide)
[INFO] param "hideTimeout" has int value "3"
[INFO] param "showSpeaker" has boolean value "true"
[INFO] param "showSubtitles" has boolean value "true"
[INFO] param "keepAspect" has boolean value "true"
[INFO] param "ignoreAspect" has boolean value "false"
[INFO] param "bufferSize" has int value "200"
[INFO] param "bufferLow" has int value "10"
[INFO] param "bufferHigh" has int value "70"
[INFO] param "debug" has int value "0"
[INFO] param "userId" has string value "null"
[INFO] param "password" has string value "null"
Comment 2 Hans de Goede 2012-05-12 04:12:09 EDT
Also works fine for me, there is a noticeable wait (0.5 - 1 second I guess) at the point where you see it hang, but then it starts in full screen mode and works as it should.

So I've the feeling you're hitting an bug elsewhere, my first guess would be somewhere in the mesa / xorg stack. Are you running under Gnome3? If so can you try starting freecol in the fallback mode of Gnome3?
Comment 4 Fedora End Of Life 2013-07-03 18:34:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 20:32:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.